@import model._

@import model.forms.GameAwardsForm
@(game: Game, form: Form[GameAwardsForm], combinedLineups: Seq[LineupEntryWithPlayer])(implicit req: MessagesRequest[AnyContent], user: User)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

<!DOCTYPE html>

<html lang="en">
    <head>
    @views.html.templates._common_headers("Game Awards")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>Set Game Awards</h3>
            <a class="btn btn-warning" href="@routes.GameController.viewGame(game.id)">Back to Game</a>
            <hr />
            @helper.form(action = routes.UmpireController.submitGameAwardsForm(game.id)) {
                @helper.input(form("winningPitcher")) { (id, name, value, args) =>
                    <div class="row mb-2">
                        <div class="col-2 col-4-sm">
                            <label for="@id">WP</label>
                        </div>
                        <div class="col">
                            <select class="custom-select" id="@id" name="@name">
                            @for(pitcher <- combinedLineups.filter(_.lineupEntry.battingPos == 0).map(_.player.player).toSet[Player]) {
                                @if(value.contains(pitcher.id.toString)) {
                                    <option value="@pitcher.id" selected="selected">@pitcher.fullName</option>
                                } else {
                                    <option value="@pitcher.id">@pitcher.fullName</option>
                                }
                            }
                            </select>
                        </div>
                    </div>
                }
                @helper.input(form("losingPitcher")) { (id, name, value, args) =>
                    <div class="row mb-2">
                        <div class="col-2 col-4-sm">
                            <label for="@id">LP</label>
                        </div>
                        <div class="col">
                            <select class="custom-select" id="@id" name="@name">
                            @for(pitcher <- combinedLineups.filter(_.lineupEntry.battingPos == 0).map(_.player.player).toSet[Player]) {
                                @if(value.contains(pitcher.id.toString)) {
                                    <option value="@pitcher.id" selected="selected">@pitcher.fullName</option>
                                } else {
                                    <option value="@pitcher.id">@pitcher.fullName</option>
                                }
                            }
                            </select>
                        </div>
                    </div>
                }
                @helper.input(form("playerOfTheGame")) { (id, name, value, args) =>
                    <div class="row mb-2">
                        <div class="col-2 col-4-sm">
                            <label for="@id">PotG</label>
                        </div>
                        <div class="col">
                            <select class="custom-select" id="@id" name="@name">
                            @for(player <- combinedLineups.map(_.player.player).toSet[Player]) {
                                @if(value.contains(player.id.toString)) {
                                    <option value="@player.id" selected="selected">@player.fullName</option>
                                } else {
                                    <option value="@player.id">@player.fullName</option>
                                }
                            }
                            </select>
                        </div>
                    </div>
                }
                @helper.input(form("save")) { (id, name, value, args) =>
                    <div class="row mb-2">
                        <div class="col-2 col-4-sm">
                            <label for="@id">SV</label>
                        </div>
                        <div class="col">
                            <select class="custom-select" id="@id" name="@name">
                                <option value="">None</option>
                                @for(pitcher <- combinedLineups.filter(_.lineupEntry.battingPos == 0).map(_.player.player).toSet[Player]) {
                                    @if(value.contains(pitcher.id.toString)) {
                                        <option value="@pitcher.id" selected="selected">@pitcher.fullName</option>
                                    } else {
                                        <option value="@pitcher.id">@pitcher.fullName</option>
                                    }
                                }
                            </select>
                        </div>
                    </div>
                }
                <button type="submit" class="btn btn-success">Submit</button>
            }
        </div>
    </body>
</html>